import request from '@/utils/request'

// 查询企业账户记录列表
export function listCompanyMoneyLogs(query) {
  return request({
    url: '/company/companyMoneyLogs/list',  
    method: 'get',
    params: query
  })
}

// 查询企业账户记录详细
export function getCompanyMoneyLogs(logsId) {
  return request({
    url: '/company/companyMoneyLogs/' + logsId,
    method: 'get'
  })
}

// 新增企业账户记录
export function addCompanyMoneyLogs(data) {
  return request({
    url: '/company/companyMoneyLogs',
    method: 'post',
    data: data
  })
}

// 修改企业账户记录
export function updateCompanyMoneyLogs(data) {
  return request({
    url: '/company/companyMoneyLogs',
    method: 'put',
    data: data
  })
}

// 删除企业账户记录
export function delCompanyMoneyLogs(logsId) {
  return request({
    url: '/company/companyMoneyLogs/' + logsId,
    method: 'delete'
  })
}

// 导出企业账户记录
export function exportCompanyMoneyLogs(query) {
  return request({
    url: '/company/companyMoneyLogs/export',
    method: 'get',
    params: query
  })
}

export function getCompanyTotalMoneys(query) {
  return request({
    url: '/company/companyMoneyLogs/getCompanyTotalMoneys',
    method: 'get',
    params: query
  })
}